| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Galil Connect
.NET (C# / VB)

Host or connect to a remote gcaps instance. More...

## Functions
void | gclib.GSetServer (string server_name)
| Connects gclib to a new gcaps server.
string | gclib.GServerStatus ()
| Retrieves the name of your local gcaps server and whether or not it is currently published.
string[] | gclib.GListServers ()
| Retrieves a list of gcaps servers that are advertising themselves on the local network.
void | gclib.GPublishServer (string server_name, bool publish, bool save)
| Publishes or removes local gcaps server from the network.
string[] | gclib.GRemoteConnections ()
| Returns a list of IP Addresses that currently have an open connection to your hardware.

## Detailed Description

Host or connect to a remote gcaps instance.

## Function Documentation

## ◆ GSetServer()

void gclib.GSetServer | ( | string | server_name | ) |
| inline

Connects gclib to a new gcaps server.

Parameters

  server_name | Name of the server to connect.

Wrapper around gclib GSetServer(), Call GSetServer("Local") to connect gclib back to local gcaps server

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 690 of file gclib.cs.

## ◆ GServerStatus()

string gclib.GServerStatus | ( |  | ) |
| inline

Retrieves the name of your local gcaps server and whether or not it is currently published.

Returns
  A string in the form "<server_name>, <isPublished>"

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 706 of file gclib.cs.

## ◆ GListServers()

string[] gclib.GListServers | ( |  | ) |
| inline

Retrieves a list of gcaps servers that are advertising themselves on the local network.

Returns
  A list of available gcaps server names

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 722 of file gclib.cs.

## ◆ GPublishServer()

void gclib.GPublishServer | ( | string | server_name,
|  | bool | publish,
|  | bool | save )
| inline

Publishes or removes local gcaps server from the network.

Parameters

  server_name | Name to publish server under.
  publish | True=publish server, False=remove server.
  save | Save this configuration for future server reboots.

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 745 of file gclib.cs.

## ◆ GRemoteConnections()

string[] gclib.GRemoteConnections | ( |  | ) |
| inline

Returns a list of IP Addresses that currently have an open connection to your hardware.

Returns
  Returns a list of IP Addresses that currently have an open connection to your hardware.

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 759 of file gclib.cs.